
require "scripts/style"

function MakeWidgetChargeMeter(xpos, ypos)
  return WidgetChargeMeter
      {
        name="chargemeter",
        font = StandardButtonFont;
        w=550, h=20, x=xpos, y=ypos,
        --specify the y extants of the meter
        meterX1=12, meterX2=540,
        -- multi-layer construction
        layers = {
          bg="widgets/chargemeter/bg",
          fill="widgets/chargemeter/fill",
          fg="widgets/chargemeter/fg",
        },
      };
end
